Runtime

## org.eclipse.gmf.runtime.diagram.ui.services.layout
Interface ILayoutNodeOperation

All Superinterfaces:
  IOperation

public interface ILayoutNodeOperation
extends IOperation

Interface describing the layout operation for a set of nodes with corresponding sizes. This interface can be used in the layout provider implementation class. IMPORTANT: This interface is not intended to be implemented by clients. New methods may be added in the future.

Method Summary
`IAdaptable` `getLayoutHint()` Retrieves the value of the `layoutHint` instance variable.
`java.util.List` `getLayoutNodes()` Gets the list of nodes to layout.
`boolean` `shouldOffsetFromBoundingBox()`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IOperation
`execute`

Method Detail

### getLayoutNodes

    public java.util.List getLayoutNodes()

  Gets the list of nodes to layout.

  Returns:
    `List` of `ILayoutNode` objects that are to participate in the layout operation.

### shouldOffsetFromBoundingBox

    public boolean shouldOffsetFromBoundingBox()

  Returns:
    `boolean` indicating whether the nodes should be laid out relative to the bounding box of the original position of the nodes that are participating in the layout operation.

### getLayoutHint

    public IAdaptable getLayoutHint()

  Retrieves the value of the `layoutHint` instance variable.

  Returns:
    `IAdaptable` hint to the provider to determine the layout kind. `IAdaptable` will typically adapt to string that can be one of `LayoutType.DEFAULT` or `LayoutType.RADIAL`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.